Time Entries REST API user_id parameter doesn't work
2019-06-18 18:10 - Serhiy Valchuk

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 212
Description

I'm trying to use Time Entries REST API and it works as expected except user_id parameter.

When | tried to get time entries
https://myredmine/time_entries.json?key=mykey&from=2019-06-01&t0=2019-06-30&limit=5&user_id=5 I'm getting time entries of all
existing users.

Any suggestions?

History

#1 - 2019-12-08 07:16 - Go MAEDA

- Status changed from New to Needs feedback

| cannot reproduce the issue with Redmine 4.0.5.devel.19345. The following request returns time entries of user_id 2.

curl 'http://redmine-trunk.test/time_entries.json?from=2000-01-01&t0=2019-12-31&user_id=2"

#2 - 2024-01-21 02:21 - Go MAEDA
- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce
